Kirjoittaja Aihe: spca5xx yhteensopivan webbikameran ajureiden asennus (breezy, hoary)  (Luettu 22290 kertaa)

tohtoriS

  • Käyttäjä
  • Viestejä: 83
    • Profiili
Tässäpä pikaohje spca5xx yhteensopivan webbikameran toimintaan saattamisesta. Ensimmäisenä on nopea ohje, joka ainakin omassa ja selvästi muutaman muunkin käyttäjän breezyssä toimii mallikkaasti. Toisena on sitten toinen ohje jolla systeemin sai toimimaan hoaryssä (ei tosin enää kovin ajankohtainen). Oma Kamerani tunnistuu systeemissäni nimellä Flexcam 100, vaikka onkin saksalaisen webbikaupan Komland merkkiä.

Listaa kysellä ajurilla toimivista kameroista on saatavilla esimerkiksi täältä:

http://mxhaard.free.fr/spca5xx.html

Hyvä keino löytää katsoa onko oma kamera tuolla listalla on avata konsoli ja katsoa lsusb:n antama id tuolle kameralle ja sitten etsiä löytyykö kyseinen id tuolta sivulta.

Itselläni tulostui seuraavaa:

Koodia: [Valitse]
lsusb
Koodia: [Valitse]
Bus 001 Device 002: ID 04fc:0561 Sunplus Technology Co., Ltd
joten id kamerassani on ID 04fc:0561, joka löytyy tuolta sivulta useammastakin kohdasta.

Normaali asennus:

Ajureiden asennus onnistuu avaamalla pääte ja syöttämällä seuraavat komennot:

1. Asennetaan ensin kääntäjä
Koodia: [Valitse]
sudo apt-get install linux-headers-`uname -r` linux-restricted-modules-`uname -r` build-essential gcc-3.4
2. Haetaan ajuripaketin lähdekoodi
Koodia: [Valitse]
wget http://mxhaard.free.fr/spca50x/Download/spca5xx-20060402.tar.gz
3. Puretaan paketti
Koodia: [Valitse]
tar xvfz spca5xx-20060301.tar.gz
4. Siirrytään hakemistoon johon paketti purettiin
Koodia: [Valitse]
cd spca5xx-20060301
5. Käännetään ajurit
Koodia: [Valitse]
sudo make CC=gcc-3.4
6. Poistetaan vanha virheellinen ajurimoduuli käytöstä
Koodia: [Valitse]
sudo modprobe -r spca5xx
7. Poistetaan vanha ajuri
Koodia: [Valitse]
sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx*
8. Asennetaan uusi moduuli
Koodia: [Valitse]
sudo make install
9. Ladataan uusi moduuli käyttöön
Koodia: [Valitse]
sudo modprobe spca5xx
Nyt kameran ajurit ovat toiminnassa ja voit testata kameran toimintaa esimerkiksi camorama sovelluksella.

Kiitokset tästä ohjeesta Epelille, joka kaivoi sen englanninkielisiltä forumeilta... http://www.ubuntuforums.org/archive/index.php/t-75284.html

Asennus Hoary:

Tämä seuraava pätkä on jätetty paikalleen vain sitä varten jos jotakuta sattuu kiinnostamaan. Tätä ei kuitenkaan voi enää suositella käytettäväksi, vaan käyttäkää edellistä ohjetta....

Hoaryssa ajureiden asennuksen tein suoraan seuraavien ohjeiden mukaisesti ja täytyy tunnustaa että en itsekään täysin tiedä mitä kaikkea tuossa tarkalleen tuli tehtyä, mutta itselläni kamera lähti toimimaan kertalaakista. Täällä alkuperäiset ohjeet: http://dvlinux.blogspot.com/2005_03_13_dvlinux_archive.html#111101610927602822

1. Avaa konsoli

2. Komenna
Koodia: [Valitse]
sudo apt-get install linux-tree
3. Siirry hakemistoon /usr/src/ .
Koodia: [Valitse]
cd /usr/src/
4. Pura kernelin lähdekoodi paketti
Koodia: [Valitse]
sudo tar -jxvf linux-source-2.6.10.tar.bz2
5. Kopioi nykyisen kernelin asetukset lähdekoodi hakemistoon
Koodia: [Valitse]
sudo cp /boot/config-2.6.10-5-386 linux-source-2.6.10/.config
6. Siirry lähdekoodi hakemistoon
Koodia: [Valitse]
cd linux-source-2.6.10
7.
Koodia: [Valitse]
sudo make oldconfig
8. Käännetään kerneli. Huomioi että ainakin itselläni tämä vei aikaa toista tuntia!
Koodia: [Valitse]
sudo make
9. Hae http://mxhaard.free.fr/download.html sivustolta uusin ajuri paketti ja siirrä se esimerkiksi samaan /usr/src hakemistoon kuin missä kernelin lähdekooditkin ovat.

10. Siirry /usr/src hakemistoon ja pura paketti
Koodia: [Valitse]
sudo tar -zxvf spca5xx-20050315.tar.gz
11. Linkitetään lähdekoodi hakemisto /lib/modules/ hakemistoon
Koodia: [Valitse]
sudo ln -s /usr/src/linux-source-2.6.10 /lib/modules/2.6.10-5-386/build/
12. Siirry spca ajureiden hakemistoon
Koodia: [Valitse]
cd spca5xx-20050315
13. Käännetään ajurit
Koodia: [Valitse]
make
Koodia: [Valitse]
make install
14. Sitten buutti ja eikun testaamaan toimiiko. Hyvä ohjelma testiin on esimerkiksi camorama webcam viewer. Gnome meetingissä en ainakaan vielä ole kameraani saanut näkymään.



edit -- Korjattu ohjetta helpommaksi
« Viimeksi muokattu: 08.04.06 - klo:12.54 kirjoittanut tohtoriS »

LittleLion

  • Käyttäjä
  • Viestejä: 1232
    • Profiili
    • http://koti.mbnet.fi/littleli/
Miksi käännät kernelin uudelleen? Eikö muka olisi riittänyt vakio kernelin headers paketti?
sudo apt-get install linux-headers-2.6.10.....

Tuo paketin versio tietysti riippuu käytössä olevasta kerneli versiosta.


Miksi käytät vielä Hoaryä? Kannattaa päivittää Breezyyn, koska siinä on uudemmat ajurit moneen kohtaa ja softat muutenkin uudempia.
Tuo web-kamera saattaisi jopa toimia suoraan. Ohje Breezyyn päivittämiseksi löytyy täältä: http://forum.ubuntu-fi.org/index.php?topic=672.0

tohtoriS

  • Käyttäjä
  • Viestejä: 83
    • Profiili
Lainaus
Miksi käännät kernelin uudelleen? Eikö muka olisi riittänyt vakio kernelin headers paketti?
sudo apt-get install linux-headers-2.6.10.....

Kuten aiemmin totesin en itsekään semi-noviisina tiennyt täysin mitä olen tekemässä. Tarkoituksena oli lähinnä tuoda jonkinlainen ratkaisuehdotus esille, jos jollakin sattuu olemaan samoja ongelmia eikä tarvitse siten lähteä itse googlettamaan ja etsimään mahdollisia ratkaisuita.

Lainaus
Miksi käytät vielä Hoaryä? Kannattaa päivittää Breezyyn, koska siinä on uudemmat ajurit moneen kohtaa ja softat muutenkin uudempia.
Tuo web-kamera saattaisi jopa toimia suoraan. Ohje Breezyyn päivittämiseksi löytyy täältä: http://forum.ubuntu-fi.org/index.php?topic=672.0

Breezyyn en ole jaksanut vielä päivittää, koska siinä selvästikin on ongelmia homePNA verkkoyhteyden kanssa ja ei ole juuri nyt aikaa tai kiinnostusta säätää sen kanssa. Hoary kun vielä toimii mainiosti ja hieman myöhemmin on tarkoitus pistää uuden kovalevyn myötä kone uuteen järjestykseen joten olen ajatellut päivittäväni vasta sitten. Eli mielummin pysyn tällä hetkellä minulle varmasti toimivassa vaihtoehdossa.

Breezyssä on ainakin muiden foorumeiden mukaan samoja ongelmia kyseisten webbikamera ajureiden kanssa, joten siinäkään suhteessa päivityksestä ei olisi mitään hyötyä. Breezylle ohjeet samaan hommaan löytyy esim. tuolta http://ubuntuforums.org/showthread.php?t=75284&highlight=webcam+spca5xx

LittleLion

  • Käyttäjä
  • Viestejä: 1232
    • Profiili
    • http://koti.mbnet.fi/littleli/
Kuten aiemmin totesin en itsekään semi-noviisina tiennyt täysin mitä olen tekemässä.
Huomasin mutta koska tuon noin neuvoit tekemään. Ehdotin tuota sen takia, että voisit ohjettasi muokata helpompaan suuntaan. Mielestäni kuitenkin kannattaa käyttää niin kauan
kuin mahdollista Ubuntun vakio kerneliä, koska siinä on paljon hyviä korjauksia, jotka vannila suorcesta puuttuvat.

Lainaus
Tarkoituksena oli lähinnä tuoda jonkinlainen ratkaisuehdotus esille, jos jollakin sattuu olemaan samoja ongelmia eikä tarvitse siten lähteä itse googlettamaan ja etsimään mahdollisia ratkaisuita.
Toki ei se ole kiellettyä, mutta mielestäni nämä HOWTO-alueen ohjeet kannattaisi yrittää muokata mahdollisimman yksinkertaisiksi peruskäyttäjää varten.

Lainaus
Breezylle ohjeet samaan hommaan löytyy esim. tuolta http://ubuntuforums.org/showthread.php?t=75284
Mutta tuosta saa helposti johdettua helpomman version tästä ohjeesta. Eli

Kohdat 2-8 ja 11 voi poistaa ja lisätä ennen kohtaa 9:n rivit:

sudo apt-get install linux-headers-`uname -r` linux-restricted-modules-`uname -r` build-essential gcc-3.4
export  CC=gcc-3.4
   (en ole varma tarvitseeko käskyn su eteen kokeile)

Ja nuo nuo gcc-3.4 kohdat kannattaa ohjeeseen jättää niin se toimii sekä Hoarylla, että Breezyllä ;D

Melmacian

  • Käyttäjä
  • Viestejä: 868
  • Ubuntu Hardy
    • Profiili
Minä sain vasta näin oman spca5xx yhteensopivan webcamin(Labtec Webcam Pro) toimimaan Ubuntu Breezyssä.
Koodia: [Valitse]
sudo apt-get install linux-headers-`uname -r` linux-restricted-modules-`uname -r` build-essential gcc-3.4
wget http://mxhaard.free.fr/spca50x/Download/spca5xx-20060301.tar.gz
tar xvfz spca5xx-20060301.tar.gz
cd spca5xx-20060301
sudo make CC=gcc-3.4
sudo modprobe -r spca5xx
sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx*
sudo make install
sudo modprobe spca5xx

http://www.ubuntuforums.org/archive/index.php/t-75284.html

Eikä tarvinnut onneksi kääntään kerneliä uusiksi.

Päivitystä:
Ubuntu tietoturvapäivityksenä tuli uusi kerneli ja nämä ajurit lakkasivat toimimasta ja vieläpä tuo linkki ajureihin on kuollut. Niin  korjasin ohjeen taas toimivaksi. Olkaa hyvä.


« Viimeksi muokattu: 21.03.06 - klo:00.15 kirjoittanut Epeli »

B-275

  • Käyttäjä
  • Viestejä: 28
    • Profiili
Kiitokset Epelille
« Vastaus #5 : 20.03.06 - klo:21.44 »
Kiitoksia Epelille webbikameran asennusohjeista how to-osastolla. Mun kamera heräsi eloon ekan kerran sitten Windows-aikojen. Tollaset selkeet ja toimivat ohjeet on nannaa tälläsille aloittelijoille. Täytyy myöntää, että koin aitoa onnistumisen riemua. Kiitos vielä kerran!

Melmacian

  • Käyttäjä
  • Viestejä: 868
  • Ubuntu Hardy
    • Profiili
Re: Kiitokset Epelille
« Vastaus #6 : 21.03.06 - klo:00.20 »
Jee, kiva että kelpasi, mutta turha minua on kiitellä: Tuo ohje on lähes suora kopio Ubuntun enkku foorumeilta.

Mutta eh... Ei tälle olisi tarvinnut omaa ketjua perustaa.  ;)

LittleLion

  • Käyttäjä
  • Viestejä: 1232
    • Profiili
    • http://koti.mbnet.fi/littleli/
Re: Kiitokset Epelille
« Vastaus #7 : 21.03.06 - klo:09.14 »
Mutta eh... Ei tälle olisi tarvinnut omaa ketjua perustaa.  ;)

Ei niin. Olisi voinut laittaa tänne jatkoksi. Tästä syystä yhdistin aiheet.

tohtoriS

  • Käyttäjä
  • Viestejä: 83
    • Profiili
Kiitoksia uudemmista ohjeista. Itselläni on oma kamera ollut lainassa muutaman kuukauden joten en ole oikein päässyt hetkeen testaamaan. Korjaankin tässä nuo ohjeet tuonne sivun ylös jotta ei ole tuo kernelin kääntäminen enää tuolla pelotteena..

Juharanto

  • Käyttäjä
  • Viestejä: 56
    • Profiili
Ei taivu ei.. Hmmm :G

Lainaus
juha@ubuntu:~/spca5xx-20060402$ sudo modprobe spca5xx
FATAL: Error inserting spca5xx (/lib/modules/2.6.15-20-386/kernel/drivers/usb/media/spca5xx.ko): Invalid module format

Noin tuli kun koitin ohjeenmukaan säätää. Kamera on Logitech QuickCam messenger ja tosiaan Dapper Drake

lsusb tulostaa:
Lainaus
juha@ubuntu:~/spca5xx-20060402/spca5xx-20060402$ lsusb
Bus 003 Device 001: ID 0000:0000
Bus 001 Device 002: ID 046d:08f6 Logitech, Inc.
Bus 001 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000

Lainaus
juha@ubuntu:~/spca5xx-20060402/spca5xx-20060402$ ls /dev/vid*
ls: /dev/vid*: Tiedostoa tai hakemistoa ei ole

Any ideas?
« Viimeksi muokattu: 13.04.06 - klo:17.11 kirjoittanut Juharanto »

Melmacian

  • Käyttäjä
  • Viestejä: 868
  • Ubuntu Hardy
    • Profiili
EIkös Dapperissa noiden pitäisi toimia suoraan? Ainakin oma Labtec Webcam Pro toimi suoraan Kubuntu Dapperin live-cd:llä.

Juharanto

  • Käyttäjä
  • Viestejä: 56
    • Profiili
Ei toimi näemmä. Camorama herjaa vain ettei video0 ole olemassa. Ajuri on kuitenkin saatu nyt vedettyä sisään kun laitoin breezy alle. Ei kuitenkaan wörki :G

tohtoriS

  • Käyttäjä
  • Viestejä: 83
    • Profiili
Ei toimi näemmä. Camorama herjaa vain ettei video0 ole olemassa. Ajuri on kuitenkin saatu nyt vedettyä sisään kun laitoin breezy alle. Ei kuitenkaan wörki :G

Olisikohan tuolla olevista jutuista mitään apua?
http://forum.ubuntu-fi.org/index.php?topic=2772.0

Juharanto

  • Käyttäjä
  • Viestejä: 56
    • Profiili
En saa millään toimimaan. Koko litanja ja muu kiva käyty läpi kymmenesti, mutta ei vaan wörki. Tein tuon ohjeen mukaan:

Koodia: [Valitse]

juha@ubuntu:~$ lsusb
Bus 003 Device 001: ID 0000:0000
Bus 002 Device 001: ID 0000:0000
Bus 001 Device 003: ID 046d:08f6 Logitech, Inc.
Bus 001 Device 001: ID 0000:0000
juha@ubuntu:~$ sudo apt-get install linux-headers-`uname -r` linux-restricted-mo dules-`uname -r` build-essential gcc-3.4
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu... Valmis
linux-restricted-modules-2.6.15-20-386 on jo uusin versio.
Seuraavat ylimääräiset paketit on merkitty asennettaviksi:
  binutils cpp-3.4 dpkg-dev g++ g++-4.0 gcc gcc-3.4-base gcc-4.0
  libstdc++6-4.0-dev linux-headers-2.6.15-20 make
Ehdotetut paketit:
  binutils-doc debian-keyring gcc-4.0-doc lib64stdc++6 manpages-dev autoconf
  automake1.9 libtool flex bison gcc-doc gcc-3.4-doc libc6-dev-amd64 lib64gcc1
  gcc-4.0-locales libstdc++6-4.0-doc stl-manual
Suositellut paketit:
  libmudflap0-dev
Seuraavat UUDET paketit asennetaan:
  binutils build-essential cpp-3.4 dpkg-dev g++ g++-4.0 gcc gcc-3.4
  gcc-3.4-base gcc-4.0 libstdc++6-4.0-dev linux-headers-2.6.15-20
  linux-headers-2.6.15-20-386 make
0 päivitetty, 14 uutta asennusta, 0 poistettavaa ja 1 päivittämätöntä.
Noudettavaa arkistoa 16,2Mt/16,2Mt.
Purkamisen jälkeen käytetään 113Mt lisää levytilaa.
Haluatko jatkaa [K/e]? k
Nouda:1 http://fi.archive.ubuntu.com dapper/main binutils 2.16.1cvs20060117-1ubu ntu2 [1406kB]
Nouda:2 http://fi.archive.ubuntu.com dapper/main gcc-4.0 4.0.3-1ubuntu4 [513kB]
Nouda:3 http://fi.archive.ubuntu.com dapper/main gcc 4:4.0.3-1 [5048B]
Nouda:4 http://fi.archive.ubuntu.com dapper/main libstdc++6-4.0-dev 4.0.3-1ubunt u4 [1471kB]
Nouda:5 http://fi.archive.ubuntu.com dapper/main g++-4.0 4.0.3-1ubuntu4 [2271kB]
Nouda:6 http://fi.archive.ubuntu.com dapper/main g++ 4:4.0.3-1 [1386B]
Nouda:7 http://fi.archive.ubuntu.com dapper/main make 3.80+3.81.b4-1 [286kB]
Nouda:8 http://fi.archive.ubuntu.com dapper/main dpkg-dev 1.13.11ubuntu5 [163kB]
Nouda:9 http://fi.archive.ubuntu.com dapper/main gcc-3.4-base 3.4.6-1ubuntu2 [16 4kB]
Nouda:10 http://fi.archive.ubuntu.com dapper/main cpp-3.4 3.4.6-1ubuntu2 [1687kB ]
Nouda:11 http://fi.archive.ubuntu.com dapper/main gcc-3.4 3.4.6-1ubuntu2 [494kB]
Nouda:12 http://fi.archive.ubuntu.com dapper/main linux-headers-2.6.15-20 2.6.15 -20.30 [6857kB]
Nouda:13 http://fi.archive.ubuntu.com dapper/main linux-headers-2.6.15-20-386 2. 6.15-20.30 [847kB]
Noudettiin 16,2Mt ajassa 2m29s (108kt/s)
Selecting previously deselected package binutils.
(Reading database ... 73796 files and directories currently installed.)
Unpacking binutils (from .../binutils_2.16.1cvs20060117-1ubuntu2_i386.deb) ...
Selecting previously deselected package gcc-4.0.
Unpacking gcc-4.0 (from .../gcc-4.0_4.0.3-1ubuntu4_i386.deb) ...
Selecting previously deselected package gcc.
Unpacking gcc (from .../gcc_4%3a4.0.3-1_i386.deb) ...
Selecting previously deselected package libstdc++6-4.0-dev.
Unpacking libstdc++6-4.0-dev (from .../libstdc++6-4.0-dev_4.0.3-1ubuntu4_i386.de b) ...
Selecting previously deselected package g++-4.0.
Unpacking g++-4.0 (from .../g++-4.0_4.0.3-1ubuntu4_i386.deb) ...
Selecting previously deselected package g++.
Unpacking g++ (from .../g++_4%3a4.0.3-1_i386.deb) ...
Selecting previously deselected package make.
Unpacking make (from .../make_3.80+3.81.b4-1_i386.deb) ...
Selecting previously deselected package dpkg-dev.
Unpacking dpkg-dev (from .../dpkg-dev_1.13.11ubuntu5_all.deb) ...
Selecting previously deselected package build-essential.
Unpacking build-essential (from .../build-essential_11.1_i386.deb) ...
Selecting previously deselected package gcc-3.4-base.
Unpacking gcc-3.4-base (from .../gcc-3.4-base_3.4.6-1ubuntu2_i386.deb) ...
Selecting previously deselected package cpp-3.4.
Unpacking cpp-3.4 (from .../cpp-3.4_3.4.6-1ubuntu2_i386.deb) ...
Selecting previously deselected package gcc-3.4.
Unpacking gcc-3.4 (from .../gcc-3.4_3.4.6-1ubuntu2_i386.deb) ...
Selecting previously deselected package linux-headers-2.6.15-20.
Unpacking linux-headers-2.6.15-20 (from .../linux-headers-2.6.15-20_2.6.15-20.30 _i386.deb) ...
Selecting previously deselected package linux-headers-2.6.15-20-386.
Unpacking linux-headers-2.6.15-20-386 (from .../linux-headers-2.6.15-20-386_2.6. 15-20.30_i386.deb) ...
Setting up binutils (2.16.1cvs20060117-1ubuntu2) ...

Setting up gcc-4.0 (4.0.3-1ubuntu4) ...
Setting up gcc (4.0.3-1) ...

Setting up make (3.80+3.81.b4-1) ...

Setting up dpkg-dev (1.13.11ubuntu5) ...
Setting up gcc-3.4-base (3.4.6-1ubuntu2) ...
Setting up cpp-3.4 (3.4.6-1ubuntu2) ...
Setting up gcc-3.4 (3.4.6-1ubuntu2) ...
Setting up linux-headers-2.6.15-20 (2.6.15-20.30) ...

Setting up linux-headers-2.6.15-20-386 (2.6.15-20.30) ...
Setting up g++-4.0 (4.0.3-1ubuntu4) ...
Setting up libstdc++6-4.0-dev (4.0.3-1ubuntu4) ...

Setting up g++ (4.0.3-1) ...

Setting up build-essential (11.1) ...
juha@ubuntu:~$ wget http://mxhaard.free.fr/spca50x/Download/spca5xx-20060402.tar .gz
--12:01:42--  http://mxhaard.free.fr/spca50x/Download/spca5xx-20060402.tar.gz
           => `spca5xx-20060402.tar.gz'
Selvitetään osoitetta mxhaard.free.fr... 212.27.63.122
Yhdistetään palvelimeen mxhaard.free.fr|212.27.63.122|:80... yhdistetty.
HTTP-pyyntö lähetetty, odotetaan vastausta... 200 OK
Pituus: 195 622 (191K) [application/x-gzip]

100%[====================================>] 195 622     100.88K/s

12:01:44 (100.67 KB/s) - "spca5xx-20060402.tar.gz" tallennettu [195622/195622]

juha@ubuntu:~$ tar xvfz spca5xx-20060402.tar.gz
spca5xx-20060402/
spca5xx-20060402/README-KERNEL-UPTO-2.6.16
spca5xx-20060402/Makefile
spca5xx-20060402/LICENSE
spca5xx-20060402/RGB-YUV%2fmodule-setting
spca5xx-20060402/README
spca5xx-20060402/drivers/
spca5xx-20060402/drivers/usb/
spca5xx-20060402/drivers/usb/spcagamma.h
spca5xx-20060402/drivers/usb/cx11646.h
spca5xx-20060402/drivers/usb/sn9cxxx.h
spca5xx-20060402/drivers/usb/pac207.h
spca5xx-20060402/drivers/usb/cxlib.h
spca5xx-20060402/drivers/usb/zc3xx.h
spca5xx-20060402/drivers/usb/cs2102.h
spca5xx-20060402/drivers/usb/jpeg_qtables.h
spca5xx-20060402/drivers/usb/pas106b.h
spca5xx-20060402/drivers/usb/spca506.h
spca5xx-20060402/drivers/usb/spca561.h
spca5xx-20060402/drivers/usb/mr97311.h
spca5xx-20060402/drivers/usb/sonix.h
spca5xx-20060402/drivers/usb/spca5xx.c
spca5xx-20060402/drivers/usb/spca5xx.h
spca5xx-20060402/drivers/usb/spcausb.h
spca5xx-20060402/drivers/usb/icm105a.h
spca5xx-20060402/drivers/usb/hv7131b.h
spca5xx-20060402/drivers/usb/hv7131c.h
spca5xx-20060402/drivers/usb/spca501_init.h
spca5xx-20060402/drivers/usb/pb0330.h
spca5xx-20060402/drivers/usb/ov7630c.h
spca5xx-20060402/drivers/usb/et61xx51.h
spca5xx-20060402/drivers/usb/sp5xxfw2.h
spca5xx-20060402/drivers/usb/jpeg_header.h
spca5xx-20060402/drivers/usb/spca508_init.h
spca5xx-20060402/drivers/usb/spcaCompat.h
spca5xx-20060402/drivers/usb/dummy_cam.h
spca5xx-20060402/drivers/usb/spcadecoder.c
spca5xx-20060402/drivers/usb/spcadecoder.h
spca5xx-20060402/drivers/usb/tas5130c.h
spca5xx-20060402/drivers/usb/sp5xxfw2.dat
spca5xx-20060402/drivers/usb/hdcs2020.h
spca5xx-20060402/drivers/usb/spca505_init.h
spca5xx-20060402/drivers/usb/spca500_init.h
spca5xx-20060402/drivers/usb/tv8532.h
spca5xx-20060402/CHANGELOG
tar: spca5xx-20060402/drivers: epätodennäköisen vanha aikaleima 1970-01-01 02:00 :00
spca5xx-20060402/README-SONIX
spca5xx-20060402/README-TV8532
spca5xx-20060402/INSTALL
spca5xx-20060402/cutlog.py
juha@ubuntu:~$ cd spca5xx-20060402
juha@ubuntu:~/spca5xx-20060402$ sudo make CC=gcc-3.4
   Building SPCA5XX driver for 2.5/2.6 kernel.
   Remember: you must have read/write access to your kernel source tree.
make -C /lib/modules/`uname -r`/build SUBDIRS=/home/juha/spca5xx-20060402 CC=gcc -3.4 modules
make[1]: Siirrytään hakemistoon "/usr/src/linux-headers-2.6.15-20-386"
  CC [M]  /home/juha/spca5xx-20060402/drivers/usb/spca5xx.o
  CC [M]  /home/juha/spca5xx-20060402/drivers/usb/spcadecoder.o
  LD [M]  /home/juha/spca5xx-20060402/spca5xx.o
  Building modules, stage 2.
  MODPOST
  CC      /home/juha/spca5xx-20060402/spca5xx.mod.o
  LD [M]  /home/juha/spca5xx-20060402/spca5xx.ko
make[1]: Poistutaan hakemistosta "/usr/src/linux-headers-2.6.15-20-386"
juha@ubuntu:~/spca5xx-20060402$ sudo modprobe -r spca5xx
juha@ubuntu:~/spca5xx-20060402$ sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx*
juha@ubuntu:~/spca5xx-20060402$ sudo make install
mkdir -p /lib/modules/`uname -r`/kernel/drivers/usb/media/
rm -f /lib/modules/`uname -r`/kernel/drivers/usb/media/spca50x.ko
rm -f /lib/modules/`uname -r`/kernel/drivers/usb/media/et61x.ko
install -c -m 0644 spca5xx.ko /lib/modules/`uname -r`/kernel/drivers/usb/media/
/sbin/depmod -ae
juha@ubuntu:~/spca5xx-20060402$ sudo modprobe spca5xx
FATAL: Error inserting spca5xx (/lib/modules/2.6.15-20-386/kernel/drivers/usb/media/spca5xx.ko): Invalid module format
juha@ubuntu:~/spca5xx-20060402$ sudo modprobe spca5xx


Sain eilen jollain vippaskonstilla tuon ajurin ympättyä sisään, mutta nyt ei onnistu. Alla on siis puhdas Dapper. Osaakos kukaan sanoa mitään ehdotuksia?
« Viimeksi muokattu: 14.04.06 - klo:12.21 kirjoittanut Juharanto »

Juharanto

  • Käyttäjä
  • Viestejä: 56
    • Profiili
NYT wörkkii!

http://www.linux.fi/index.php/Web-kamera#Logitechin_kamerat

Ton ohjeen avulla sai.. *tuulettaa!* :) Taso ei mitenkään erikoisen hieno ole, mutta silti. Kuva tulee sisään, se on pääasia.

Tosin kameran oma mikki ei toimi vieläkään ja headsetin mikki nauhottaa ihan hiljaisena äänen vaikka on mikin boosti päällä...

jniiranen

  • Käyttäjä
  • Viestejä: 127
    • Profiili
Minä sain vasta näin oman spca5xx yhteensopivan webcamin(Labtec Webcam Pro) toimimaan Ubuntu Breezyssä.
Koodia: [Valitse]
sudo apt-get install linux-headers-`uname -r` linux-restricted-modules-`uname -r` build-essential gcc-3.4
wget http://mxhaard.free.fr/spca50x/Download/spca5xx-20060301.tar.gz
tar xvfz spca5xx-20060301.tar.gz
cd spca5xx-20060301
sudo make CC=gcc-3.4
sudo modprobe -r spca5xx
sudo rm -rf /lib/modules/`uname -r`/kernel/drivers/usb/media/spca5xx*
sudo make install
sudo modprobe spca5xx

Sain tällä sun ohjeella toimimaan Logitech QuickCam Express 2 web kameran toimiin, mutta tolla Camorama ohjelmassa voi laittaa resoluutioksi vain ton 176 x 144 (medium)  ???
Mitenhän sais muutkin resuluutiot käyttöön?  ???
Tulee muilla ilmoitus: Unable to capture image. ja siinä valinta sulje...

tohtoriS

  • Käyttäjä
  • Viestejä: 83
    • Profiili
Voisit kokeilla päätteessä ainakin seuraavaa:
Koodia: [Valitse]
camorama -d /dev/video0 -x 640 -y 480tuohon -d:n jälkeen laitteeksi se device mikä kamerasi on. Itselläni se oli video1, mutta jos muita videolaitteita ei sinulla kiinni ole, niin silloin voi laittaa noin tai jättää vaikka koko -d /dev/video0 ripsun pois.. kokeile mikä toimii.
Jos saat tuolla näkymään niin voit muokata käynnistysvalikkosi camorama kohtaa ja lisätä tuon rivin sen käynnistyskomennoksi pelkän camoraman tilalle.

jniiranen

  • Käyttäjä
  • Viestejä: 127
    • Profiili
Voisit kokeilla päätteessä ainakin seuraavaa:
Koodia: [Valitse]
camorama -d /dev/video0 -x 640 -y 480
Tuolla tuli isompi resoluutio..  :D tuolla 352 x 288 resoluutiolla käynnisti ton..   :)
Tuos kameras tais olla että sen kenno oli ton 352 x 288 resoluutio ja winowsin ohjelmassa sen sai myös näyttään 640 x 480?  ::)

Jakke77

  • Käyttäjä
  • Viestejä: 3598
  • Oulu (Oinaansuo)
    • Profiili







2. Haetaan ajuripaketin lähdekoodi
Koodia: [Valitse]
wget http://mxhaard.free.fr/spca50x/Download/spca5xx-20060402.tar.gz

tuo ei toiminu joten tässä uus toimiva

Koodia: [Valitse]
wget http://mxhaard.free.fr/spca50x/Download/spca5xx-v4l1goodbye.tar.gz
semmosta
U_G_H

Aspire E5-575G V1.27 CPU: Intel i3-6100U (4) @ 2.300GHz GPU: Intel® HD Graphics 520 GPU: NVIDIA GeForce 940MX